import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'ngx-pdf-viewer',
  templateUrl: './pdf-viewer.component.html',
  styleUrls: ['./pdf-viewer.component.scss']
})
export class PdfViewerComponent implements OnInit {
  @Input() url: string;
  pdfEmbedUrl: string;

  ngOnInit(): void {
    this.pdfEmbedUrl = this.url + '#view=FitH';
  }
}
