package de.hsrm.sls.subato.aor.term.imp.unit;

import de.hsrm.sls.subato.aor.core.model.ModulePart;
import de.hsrm.sls.subato.courses.unit.CourseUnitType;

public class CourseUnitTypeConverter {
    public CourseUnitType convert(ModulePart.CourseType courseType) {
        switch(courseType.getMatchcode()) {
            case "P": return CourseUnitType.Lab;
            case "Ü": return CourseUnitType.Exercise;
            case "V": return CourseUnitType.Lecture;
            case "T": return CourseUnitType.Tut;
        }

        return null;
    }
}
