package de.hsrm.sls.subato.courses.membership;

import org.springframework.context.ApplicationEvent;

public class CourseStaffMembershipAddedEvent extends ApplicationEvent {
    private CourseStaffMembership membership;

    public CourseStaffMembershipAddedEvent(Object source, CourseStaffMembership membership) {
        super(source);
        this.membership = membership;
    }

    public CourseStaffMembership getMembership() {
        return membership;
    }
}
