package de.hsrm.sls.subato.shared.mime;

import de.hsrm.sls.subato.shared.YamlPropertySourceFactory;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

import java.util.ArrayList;
import java.util.List;

@Configuration
@ConfigurationProperties
@PropertySource(value = "file:${subato.mime_file}", factory = YamlPropertySourceFactory.class, ignoreResourceNotFound = true)
public class MimeProperties {
    private List<MimeMapping> mime = new ArrayList<>();

    public List<MimeMapping> getMime() {
        return mime;
    }

    public void setMime(List<MimeMapping> mime) {
        this.mime = mime;
    }
}
