package de.hsrm.sls.subato.user;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.Optional;

public interface UserRepository extends JpaRepository<User, Long>, JpaSpecificationExecutor<User> {
    Optional<User> findByLoginNameIgnoreCase(String loginName);
    Optional<User> findByMailIgnoreCase(String mail);
}