---
sidebar_position: 0
---

# Setup
Bevor die Tests ausgeführt werden, muss das [subato2-fixtures](https://gitlab.cs.hs-rm.de/sls/subato2-fixtures)-Repository wie folgt geklont werden:

```
git clone git@gitlab.cs.hs-rm.de:sls/subato2-fixtures.git ~/.subato2/subato2-fixtures
```

:::caution VPN
Einige Integration Tests hängen von externen Systemen (z.B. GitLab oder [Eva](/eva)) ab. Diese Systeme befinden sich teilweise in der Testumgebung, wodurch die Tests ggf. nur über ein VPN ausgeführt werden können. Daher ist vorher eine VPN-Verbindung herzustellen.
:::

:::caution Zugangsdaten
Einige Tests erfordern die Konfiguration von Zugangsdaten als Umgebungsvariablen vor Ausführung. Die Umgebungsvariablen sind in der Run-Config der IDE zu setzen. Betroffen ist:

- [Git-Synchronisation von Aufgaben-Pools](../config.md#git-synchronisation-von-aufgaben-pools)
:::