import { Component, ContentChild, Input, OnInit, TemplateRef } from '@angular/core';
import { SubatoPrincipal } from 'app/core/models/principal/subato-principal';
import { User } from 'app/core/models/user';
import { CourseUnit } from '../../models/course-unit';
import { Weekday } from '../../models/weekday';

@Component({
  selector: 'ngx-course-unit-list',
  templateUrl: './course-unit-list.component.html',
  styleUrls: ['./course-unit-list.component.scss']
})
export class CourseUnitListComponent implements OnInit {
  @Input() units: CourseUnit[] = [];
  @Input() principal: SubatoPrincipal;
  @ContentChild('sidebar') sidebarTemplate: TemplateRef<any>;
  @Input() detailLinkSupplier: (unit: CourseUnit) => any = (ti) => null;
  @Input() detailLinkParamsSupplier: (unit: CourseUnit) => any = (ti) => null;
  
  Weekday = Weekday;

  constructor() { }

  ngOnInit(): void {
  }
}
