export enum FileType {
    Testcase,
    Testinclude,
    Template,
    Solution,
    Misc,
    AcceptanceTest
}

export namespace FileType {
    export function toString(type: FileType): string {
        switch(type) {
            case FileType.Testcase: return "Test";
            case FileType.Testinclude: return "Erforderlich";
            case FileType.Template: return "Vorlage";
            case FileType.Solution: return "Lösung";
            case FileType.Misc: return "Sonstige";
            case FileType.AcceptanceTest: return "Abnahmetest";
        }
    }
}