export class HtmlHelper {
    public static replaceHtmlEntities(html: string) {
        const entities: { [key: string]: string } = {
            '&amp;': '&',
            '&lt;': '<',
            '&gt;': '>',
            '&quot;': '"',
            '&#x27;': "'",
            '&#x60;': '`'
        };

        return html.replace(/&(amp|lt|gt|quot|#x27|#x60);/g, (match, entity) => {
            return entities[match];
        });
    }
}