package de.hsrm.sls.subato.exercises.submission;

import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance;

import jakarta.persistence.*;

@Entity
@IdClass(SubmissionPointRatingPK.class)
@Table(name = "submission_point_rating")
public class SubmissionPointRating {
    @Id
    @ManyToOne
    private Submission submission;

    @Id
    @ManyToOne
    private TaskInstance taskInstance;

    private int points;

    public Submission getSubmission() {
        return submission;
    }

    public void setSubmission(Submission submission) {
        this.submission = submission;
    }

    public TaskInstance getTaskInstance() {
        return taskInstance;
    }

    public void setTaskInstance(TaskInstance taskInstance) {
        this.taskInstance = taskInstance;
    }

    public int getPoints() {
        return points;
    }

    public void setPoints(int points) {
        this.points = points;
    }
}
